Foxit PDF SDK

Public Member Functions | List of all members
foxit::pdf::portfolio::PortfolioNodeArray Class Reference

Inherits Object.

## Public Member Functions
| PortfolioNodeArray ()
| Constructor.
| PortfolioNodeArray (const PortfolioNodeArray &other)
| Constructor, with another array object. More...
| ~ PortfolioNodeArray ()
| Destructor.
void | Add (const PortfolioNode &element)
| Add an element to the end of current array. More...
PortfolioNode | GetAt (size_t index) const
| Retrieve a copy of the element at position specified by index in current array. More...
size_t | GetSize () const
| Get the size of elements in current array. More...
void | InsertAt (size_t index, const PortfolioNode &element)
| Insert an element before the position specified by index. More...
PortfolioNodeArray & | operator= (const PortfolioNodeArray &other)
| Assign operator. More...
PortfolioNode & | operator[] (size_t index) const
| Retrieve a reference to the element at position specified by index in current array. More...
void | RemoveAll ()
| Remove all the element from current array. More...
void | RemoveAt (size_t index)
| Remove the element in position specified by index. More...

## Detailed Description

This class represents an array of PortfolioNode objects.

## Constructor & Destructor Documentation

## ◆ PortfolioNodeArray()

foxit::pdf::portfolio::PortfolioNodeArray::PortfolioNodeArray | ( | const PortfolioNodeArray & | other | ) |

Constructor, with another array object.

Parameters

  [in] | other | Another array object.

## Member Function Documentation

## ◆ Add()

void foxit::pdf::portfolio::PortfolioNodeArray::Add | ( | const PortfolioNode & | element | ) |

Add an element to the end of current array.

Parameters

  [in] | element | New element to be added to current array.

Returns
  None.

## ◆ GetAt()

PortfolioNode foxit::pdf::portfolio::PortfolioNodeArray::GetAt | ( | size_t | index | ) | const

Retrieve a copy of the element at position specified by index in current array.

Parameters

  [in] | index | An index to specify which element is to be retrieved.

Returns
  A copy of an element.

## ◆ GetSize()

size_t foxit::pdf::portfolio::PortfolioNodeArray::GetSize | ( |  | ) | const

Get the size of elements in current array.

Returns
  The size.

## ◆ InsertAt()

void foxit::pdf::portfolio::PortfolioNodeArray::InsertAt | ( | size_t | index,
|  | const PortfolioNode & | element
| ) |  |

Insert an element before the position specified by index.

Parameters

  [in] | index | An index to specify where to insert the new element. Valid range: from 0 to (size-1). size is the size of elements in current array.
  [in] | element | New element to be inserted to current array.

Returns
  None.

## ◆ operator=()

PortfolioNodeArray& foxit::pdf::portfolio::PortfolioNodeArray::operator= | ( | const PortfolioNodeArray & | other | ) |

Assign operator.

Parameters

  [in] | other | Another array object, whose value will be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator[]()

PortfolioNode& foxit::pdf::portfolio::PortfolioNodeArray::operator[] | ( | size_t | index | ) | const

Retrieve a reference to the element at position specified by index in current array.

Parameters

  [in] | index | An index to specify which element is to be retrieved.

Returns
  Reference to an element.

## ◆ RemoveAll()

void foxit::pdf::portfolio::PortfolioNodeArray::RemoveAll | ( |  | ) |

Remove all the element from current array.

Returns
  None.

## ◆ RemoveAt()

void foxit::pdf::portfolio::PortfolioNodeArray::RemoveAt | ( | size_t | index | ) |

Remove the element in position specified by index.

Parameters

  [in] | index | An index to specify which element is to be removed. Valid range: from 0 to (size-1). size is the size of elements in current array.

Returns
  None.